Bug 130214 - CRASH: importing file
Summary: CRASH: importing file
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+ Master
Hardware: All All
: high major
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.5.0 target:6.4.1 target:6.3.5
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2020-01-27 09:15 UTC by Xisco Faulí
Modified: 2020-02-10 11:40 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
bt Windows (windbg) (56.79 KB, text/plain)
2020-01-27 14:00 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-01-27 09:15:31 UTC
Steps to reproduce:
1. Open attachment 152818 [details] from bug 126435

-> Crash

Reproduced in

Version: 7.0.0.0.alpha0+
Build ID: 6b4fe3e44b4daa89fef6a3385919b00472eaed60
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-01-27 09:19:54 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=5cdb14345842c07eb1a466897753da910e9488f8

author	Mike Kaganski <mike.kaganski@collabora.com>	2019-12-13 09:36:39 +0300
committer	Mike Kaganski <mike.kaganski@collabora.com>	2019-12-16 17:23:57 +0100
commit	5cdb14345842c07eb1a466897753da910e9488f8 (patch)
tree	8060407f05d37aa856096c94ca808330c173135e
parent	d396819ce8c8561afcf69c7e0dbfb6108439b4c3 (diff)
tdf#129353, tdf#129402: fix node creation on index import

Bisected with: bibisect-linux64-6.5

Adding Cc: to Mike Kaganski
Comment 2 Julien Nabet 2020-01-27 14:00:48 UTC
Created attachment 157455 [details]
bt Windows (windbg)

On Win10 with master sources updated today (+ make clean), I could reproduce this.

I noticed in the log:
warn:writerfilter.dmapper:53432:53240:writerfilter/source/dmapper/DomainMapper_Impl.cxx:1980: no text append stack
(d0b8.cff8): C++ EH exception - code e06d7363 (first chance)
(d0b8.cff8): C++ EH exception - code e06d7363 (first chance)
warn:writerfilter.dmapper:53432:53240:writerfilter/source/dmapper/DomainMapper_Impl.cxx:2354: PushFootOrEndnote com.sun.star.uno.RuntimeException message: SwXFootnote: disposed or invalid
warn:writerfilter.dmapper:53432:53240:writerfilter/source/dmapper/DomainMapper_Impl.cxx:1980: no text append stack
warn:legacy.osl:53432:53240:writerfilter/source/dmapper/DomainMapper_Impl.cxx:719: text append stack is empty
Debug Assertion Failed!
Comment 3 Mike Kaganski 2020-01-28 10:56:20 UTC
https://gerrit.libreoffice.org/c/core/+/87595
Comment 4 Commit Notification 2020-01-28 13:17:13 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/eca00082c78fddf79f247057227404738be8806c

tdf#130214: workaround invalid state resulting from error on import

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-01-28 22:45:00 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/a232c0a72b195975c1c77e7e70ab844cd6d3f65f

tdf#130214: workaround invalid state resulting from error on import

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-01-28 22:45:13 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/d7d27ce1788fa6dab98639626fd3b856c0ae6b37

tdf#130214: workaround invalid state resulting from error on import

It will be available in 6.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2020-01-29 10:14:15 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: 16cb51aedf38d2f9e10d4398665417ef922eb9fb
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Mike, thanks for fixing this issue!!
Comment 8 Commit Notification 2020-02-10 11:23:55 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-3-5":

https://git.libreoffice.org/core/commit/cbd9c059ea7a865604e2a631ddc1eb88395633c1

tdf#130214: workaround invalid state resulting from error on import

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.